Subject: Re: gcc and macro expansion
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 18 Jun 2000 20:57:53 -0400

You'd probably get more answers if you posted this to a gcc mailing list
like [email-masked].  It's likely that what you're seeing is not cygwin-specific
but is rather due to gcc design.

cgf

On Sun, Jun 18, 2000 at 11:29:51PM +0400, Dmitry Bely wrote:
>I am trying to use STLport (www.stlport.org) with cygwin/gcc 2.95.2 and
>have found the very strange problem. Here is the very simplified example:
>
>[--- test.cpp ---]
>#define INC_PATH //E/Cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/include/mingw32
>#define MAKE_INCLUDE(file) <INC_PATH/file>
>#include MAKE_INCLUDE(ctype.h)
>[--- end of test.cpp ---]
>
>MAKE_INCLUDE(ctype.h) is expanded as
><  / ctype.h > !!!!
>
>If I define INC_PATH as 
>#define INC_PATH E:/Cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/include/mingw32
>
>MAKE_INCLUDE(ctype.h) is expanded as
>< E:/Cygnus/cygwin-b20/H- 1 -cygwin32/ 1 -cygwin32/include/mingw32 / ctype.h >
>
>Does anybody has an idea why this happens? I have tried other compilers
>(e.g. Watcom), and they work as expected:
>
><E:/Cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/include/mingw32/ctype.h>
>
>Help! It's the real showstopper for me :-((((
>
>Hope to hear from you soon,

--
Want to unsubscribe from this list?
Send a message to [email-masked]